/* ------------------------------
* 追加編集用CSS
------------------------------ */

/* 日付・編集した箇所をコメントで残してください。 */
/*--- 2021.0713 ---*/
.document {
  position: relative;
  z-index: 0;
}

body._open #bedore-webagent-inner {
  display: none;
}

/*--- 2022.0310 ---*/
.hamburger {
  z-index: 999;
}

/*--- 2024.0119 ---*/

._null .youtube-poster {
  filter: brightness(0.5);
}

/*--- 2024.0123 ---*/
.info-item._mid {
  width: calc(24% + 5rem);
  height: auto;
  padding: 1rem 0;
}
.intro-link._null > a {
  background-color: #ccc;
  cursor: default;
  pointer-events: none;
}
@media screen and (max-width: 479px) {
  .info-item._mid {
    width: initial;
  }
}

/*--- 2024.0205 ---*/
.course-register-btn {
  position: relative;
  margin-top: 9.5rem;
  margin-bottom: -6rem;
  text-align: right;
  z-index: 2;
}

.showModal .course-register-btn {
  z-index: 0;
}

.course-register-btn a {
  position: relative;
  display: inline-block;
  padding: 2.2rem 6.3rem 2.2rem 3.5rem;
  background: url(../images/primary_arrow.svg) no-repeat;
  background-size: 3.6rem auto;
  background-position: 95% 50%;
  background-color: #542377;
  color: #fff;
  border-radius: 4rem;
  font-size: 1.4rem;
}

.course-register-btn a:before {
  position: absolute;
  display: block;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: '';
  -webkit-transition: 0.3s cubic-bezier(0.27, 0.43, 0.44, 0.94);
  transition: 0.3s cubic-bezier(0.27, 0.43, 0.44, 0.94);
}

.course-register-btn a:hover:before {
  background-color: rgba(255, 255, 255, 0.15);
}

@media screen and (max-width: 479px) {
  .course-register-btn {
    margin-top: 3rem;
    margin-bottom: 3rem;
  }

  .course-register-btn a {
    width: 100%;
    padding: 2rem 5rem 2.2rem 2rem;
    background-size: 2.5rem auto;
    font-size: 1.1rem;
  }
}
